# Generated by Django 2.2.4 on 2019-11-01 12:44

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('location', '0020_merge_20191030_1714'),
        ('tag', '0007_auto_20191030_1514'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='tag',
            name='priority',
        ),
        migrations.CreateModel(
            name='ChosenTagSettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('priority', models.IntegerField(default=0)),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='location.Country')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='tag.Tag')),
            ],
            options={
                'verbose_name': 'Tag',
                'verbose_name_plural': 'Tags',
            },
        ),
        migrations.AddField(
            model_name='tag',
            name='chosen_tag_settings',
            field=models.ManyToManyField(through='tag.ChosenTagSettings', to='location.Country'),
        ),
    ]
